// advanced_input_handling_private.h - private functions needed
// by the advanced input handler

#ifndef __advanced_input_handling_private_h__
#define __advanced_input_handling_private_h__

#define HASH_MODULUS 256

int readLine(unsigned char *str,unsigned max_length,
             void (*error_handler)(int error_type,
                                   void *special));

void dispatch(unsigned char *input_line);

unsigned splitCommandLine(unsigned char *input_line,
                          unsigned char **command,
                          unsigned char ***params);

void ignoreNotRegisteredErrorHandler(int error_type,
                                     void *special);

#endif // __advanced_input_handling_private_h__

